Priority: Normal

Target version:

Author/Contact Info:  Pat Brown Standard(s): 61970-301, 61968-13

Base Release: iec61970cim18v01_iec61968cim14v00_i | Version:

ec62325¢im04v08_CIM101.0

Solution to be CIM18v07 Clause:

Applied To:

Solution Version: CIM18v07 Sub-Clause:

Solution Applied By: Chavdar Ivanov Paragraph:

Completion Date: 10/08/2023 Table:

CIM Keywords: 61968-AssetInfo, 61970-Wires Originally Closed in
Version:

Breaking Change: Yes Origination Date:

Breaking Change 2 attributes deleted Origination ID:

Description:

CIM Impacted WG13, WG14 Originally Assigned

Groups: To:

Requestor:

Description

The ability to link phase to position is provided by the changes to 61968 classes described in Issue #5295- Joint issue on
ACLineSegment physical modeling clarification. This obviates the need for the .fromPhase and .toPhase attributes of the
PhaselmpedanceData class.

Proposed Solution
The following is proposed:

PhaselmpedanceData — Delete the .fromPhase and .toPhase attributes as they are now redundant. Phase identification is
supplied by either the ACLineSegmentPhase class or the WirePosition class and is referenced via the
PhaselmpedanceData.row and .column attributes which map to either ACLineSegmentPhase.sequenceNumber or
WirePosition.sequenceNumber.

Decision

20-Sep-2023: Decision is to apply these changes. The Joint Redmine issue that this WG13 issues is associated with was reviewed
in full details in the Sept 6 and 13th meetings.

See attached 2020-01-30 Device Datasheet ACLineSegment requested UML updates.docx for details.

Release Notes
61970 changes

Deleted attribute PhaselmpedanceData.fromPhase
Deleted attribute PhaselmpedanceData.toPhase

Updated the descriptions of the following classes and attributes:
- ACLineSegment

- ACLineSegment.bOch

- ACLineSegment.bch

- ACLineSegment.gOch

- ACLineSegment.gch

- ACLineSegment.r

04/18/2024 1/3



https://redmine.ucaiug.org/issues/5295

- ACLineSegment.r0

- ACLineSegment.x

- ACLineSegment.x0

- ACLineSegmentPhase

- ACLineSegmentPhase.phase

- ACLineSegmentPhase.sequenceNumber
- Conductor.length

- PerLengthimpedance

- PerLengthLineParameter

- PerLengthPhaselmpedance

- PerLengthPhaselmpedance.conductorCount
- PerLengthSequencelmpedance

- PhaselmpedanceData

- PhaselmpedanceData.b

- PhaselmpedanceData.column

- PhaselmpedanceData.g

- PhaselmpedanceData.r

- PhaselmpedanceData.row

- PhaselmpedanceData.x

Related issues:

Related to CIM Joint Issues - CIM Issues #5295: Joint issue on ACLineSegment ...

New

History

#1 - 01/30/2022 04:11 AM - Pat Brown
- Standard(s) changed from 61970-301 to 61970-301, 61968-13

#2 - 09/23/2022 10:42 AM - Chuck DuBose

- Related to CIM Issues #5295: Joint issue on ACLineSegment physical modeling clarification added

#3 - 09/20/2023 10:38 AM - Todd Viegut

- Status changed from New to Open

- Solution to be Applied To set to CIM18v07
- Solution Version set to CIM18

- Solution Applied By deleted (Pat Brown)

- Decision updated

#4 - 09/20/2023 10:54 AM - Todd Viegut

- Status changed from Open to Review

#5 - 09/27/2023 09:54 AM - Todd Viegut
- Author/Contact Info set to Pat Brown

- Proposed Solution updated

#6 - 10/02/2023 02:22 PM - Todd Viegut
- Decision updated

- Release Notes updated

#7 - 10/08/2023 03:07 AM - Chavdar lvanov

- Solution Version changed from CIM18 to CIM18v07
- Solution Applied By set to Chavdar Ilvanov

- Completion Date set to 10/08/2023

- Release Notes updated

#8 - 10/10/2023 11:02 AM - Chavdar lvanov

- Status changed from Review to Closed

#9 - 10/20/2023 09:43 AM - Todd Viegut
- Solution to be Applied To changed from CIM18v07 to 18v07

#10 - 10/20/2023 10:10 AM - Todd Viegut
- Solution to be Applied To changed from 18v07 to CIM18v07

Files
2022-01-30 Device Datasheet ACLineSegment requested UML updates4bbiB 01/30/2022 Pat Brown
